from TxBlock import *
from Transaction import *
from Signature import *

from client import *

SERVER = 'localhost'
TCP_PORT = 5005

if __name__ == "__main__":

    alex_prv, alex_pbc = generate_keys()
    mike_prv, mike_pbc = generate_keys()
    rose_prv, rose_pbc = generate_keys()
    mara_prv, mara_pbc = generate_keys()

    Tx1 = Tx()
    Tx1.add_input(alex_pbc, 2.3)
    Tx1.add_output(mike_pbc, 1.0)
    Tx1.add_output(rose_pbc, 1.1)
    Tx1.sign(alex_prv)

    Tx2 = Tx()
    Tx2.add_input(rose_pbc, 2.3)
    Tx2.add_input(mike_pbc, 1.0)
    Tx2.add_output(alex_pbc, 3.1)
    Tx2.sign(mike_prv)
    Tx2.sign(rose_prv)

    B1 = TxBlock.TxBlock(None)
    B1.addTx(Tx1)
    B1.addTx(Tx2)

    sendObj(SERVER, B1)

    sendObj(SERVER, Tx2)
