import socket

HOST = socket.gethostbyname("localhost")
PORT = 5053
ADDR = (HOST, PORT)
HEADER = 64
FORMAT = "utf-8"

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.connect(ADDR)

def send(message):
    message = message.encode(FORMAT)
    msg_length = len(message)
    send_length = str(msg_length).encode(FORMAT)
    send_length += b' ' * (HEADER - len(send_length))
    server.send(send_length)
    server.send(message)
    print(server.recv(2048).decode(FORMAT))

def handleSend():
    connected = True
    while connected:
        message = input("Please enter a message: ")
        if message == "!DISCONNECT":
            connected = False
        else:
            send(message)

handleSend()